package com.casic.missiles.service.equipment;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.casic.missiles.dto.IdDTO;
import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.dto.equipment.AcceptanceCheckRequest;
import com.casic.missiles.dto.equipment.AcceptanceCheck;
import com.casic.missiles.model.equipment.EquipmentApply;

import javax.servlet.http.HttpServletResponse;

public interface IEquipmentAcceptanceCheckService {

    Page<AcceptanceCheck> acceptanceCheckList(Page<AcceptanceCheck> page, AcceptanceCheckRequest request) throws Exception;

    Object acceptanceCheckInfo(IdDTO idDTO) throws Exception;

    ReturnDTO addAcceptanceCheck(EquipmentApply equipmentApply);

    ReturnDTO updateAcceptanceCheckInfo(EquipmentApply equipmentApply);

    void exportList(AcceptanceCheckRequest request, HttpServletResponse response);

    ReturnDTO failUpdate(EquipmentApply equipmentApply);
}
